package lucandra;

import java.io.IOException;

import org.apache.cassandra.service.Cassandra;
import org.apache.lucene.index.IndexReader;
import org.apache.lucene.store.Directory;
import org.apache.solr.core.IndexReaderFactory;
import org.apache.thrift.transport.TTransportException;

public class LucandraIndexReaderFactory extends IndexReaderFactory {
	
    private static Cassandra.Client client;
    static {
        try {
            client = CassandraUtils.createConnection();
        } catch (TTransportException e) {
            System.err.println("Error connecting to Cassandra: "+e.getMessage());     
        }
    }	
	

	@Override
	public IndexReader newReader(Directory indexDir, boolean readOnly) throws IOException {
		//return new LucandraIndexReader("bookmarks", client).open(indexDir, readOnly);
		return new LucandraIndexReader("bookmarks", client);
	}

}
